CHZCRYPT(8)

NAME
chzcrypt - modify zcrypt configuration

SYNOPSIS

chzcrypt
    -e | -d ( -a | <device id> [...] )

chzcrypt
    [ -p | -n ] [ -t <timeout> ]

chzcrypt
    [ -c <timeout> ]

chzcrypt
    [ -q <domain> ]

chzcrypt -h

chzcrypt -v

DESCRIPTION
The chzcrypt command is used to configure cryptographic devices managed by zcrypt and modify zcrypt's AP bus attributes. Attributes may vary depending on the kernel version. chzcrypt requires that the sysfs filesystem is mounted.

OPTIONS

-e, --enable
    Set the given cryptographic device(s) online.

-d, --disable
    Set the given cryptographic device(s) offline.

-a, --all
    Set all available cryptographic device(s) online or offline.

<device id>
    Specifies a cryptographic device which will be set either online or offline. The device can either be a card device or a queue device. A queue device can only get switched online when the providing card is online. Please note that the card device and queue device representation are both in hexadecimal notation.

-p, --poll-thread-enable
    Enable zcrypt's poll thread.

-n, --poll-thread-disable
    Disable zcrypt's poll thread.

-c, --config-time <timeout>
    Set configuration timer for re-scanning the AP bus to <timeout> seconds.

-t, --poll-timeout <poll_timeout>
    Set poll timer to run poll tasklet all <poll_timeout> nanoseconds.

-q, --default-domain <domain>
    Set the new default domain of the AP bus to <domain>. The number of available domains can be retrieved with the lszcrypt command ('-d' option).

-V, --verbose
    Print verbose messages.

-h, --help
    Print help text and exit.

-v, --version
    Print version information and exit.

EXAMPLES

chzcrypt -e 0 1 12
    Will set the cryptographic card devices 0, 1 and 12 online.

chzcrypt -e 10.0038
    Will set the cryptographic device '10.0038' respectively card id 16 (0x10) with domain 56 (0x38) online.

chzcrypt -d -a
    Will set all available cryptographic devices offline.

chzcrypt -c 60 -n
    Will set configuration timer for re-scanning the AP bus to 60 seconds and disable zcrypt's poll thread.

chzcrypt -q 67
    Will set the default domain to 67.

SEE ALSO
lszcrypt(8)